Bug 395451 - iMac 24" no sound
iMac 24" no sound
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 05:15 EST by Karl Lattimer
Modified: 2008-02-20 09:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 09:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karl Lattimer 2007-11-22 05:15:34 EST
Description of problem:
After installing f8 on my iMac the only real issue I have is the lack of sound.
There are various audio devices available to GNOME however non of the tests
produces any output

Version-Release number of selected component (if applicable):
Not sure which component is the problem, however an ubuntu forum posting seems
to include some further information;
http://ubuntuforums.org/showthread.php?s=68cc5f7da2d11499265099543ba76992&t=418681&page=5


Smolt output;
        UUID: 9f160744-89d4-480d-b906-270070dfd9d9
        OS: Fedora release 8 (Werewolf)
        Default run level: 5
        Language: en_US.UTF-8
        Platform: x86_64
        BogoMIPS: 5590.30
        CPU Vendor: GenuineIntel
        CPU Model: Intel(R) Core(TM)2 Extreme CPU X7900  @ 2.80GHz
        Number of CPUs: 2
        CPU Speed: 2800
        System Memory: 1997
        System Swap: 2975
        Vendor: Apple Inc.
        System: iMac7,1 1.0
        Form factor: unknown
        Kernel: 2.6.23.1-49.fc8
        SELinux Enabled: True
        SELinux Enforce: targeted

                 Devices
                =================================
                (None:None:None:None) input, Unknown, KEYBOARD, Apple, Inc Apple
Keyboard
                (32902:10280:4203:160) pci, ata_piix, IDE, 82801HBM/HEM
(ICH8M/ICH8M-E) SATA IDE Controller
                (None:None:None:None) input, Unknown, None, PC Speaker
                (32902:10753:0:0) pci, pcieport-driver, OTHER, Mobile
PM965/GM965/GL960 PCI Express Root Port
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
                (1452:34050:None:None) usb, Unknown, OTHER, USB Video Interface
                (1452:34050:None:None) usb, Unknown, OTHER, USB Video Interface
                (1452:34050:None:None) usb, Unknown, OTHER, USB Vendor Specific
Interface
                (32902:10261:4203:160) pci, Unknown, OTHER, 82801HEM (ICH8M) LPC
Interface Controller
                (None:None:None:None) scsi_generic, Unknown, None, SCSI Generic
Interface
                (None:None:None:None) platform, Unknown, None, Platform Device
(bluetooth)
                (32902:9288:0:0) pci, Unknown, OTHER, 82801 Mobile PCI Bridge
                (32902:10290:4203:160) pci, uhci_hcd, USB, 82801H (ICH8 Family)
USB UHCI Controller #3
                (None:None:None:None) platform, Unknown, None, Platform Device
(vesafb.0)
                (4523:17258:4523:186) pci, sky2, NETWORK, Unknown (0x436a)
                (None:None:None:None) input, Unknown, None, Apple Computer, Inc.
IR Receiver
                (None:None:None:None) net, Unknown, NETWORK, Networking Interface
                (None:None:None:None) scsi, sr, None, SCSI Device
                (None:None:None:None) platform, pcspkr, None, Platform Device
(pcspkr)
                (None:None:None:None) input, Unknown, MOUSE, Macintosh mouse
button emulation
                (None:None:None:None) scsi, sd, None, SCSI Device
                (1452:4096:None:None) usb, usbhid, OTHER, USB HID Interface
                (1452:4096:None:None) usb, usbhid, OTHER, USB HID Interface
                (32902:10302:4203:160) pci, i801_smbus, OTHER, 82801H (ICH8
Family) SMBus Controller
                (32902:10320:4203:160) pci, ata_piix, IDE, 82801HBM/HEM
(ICH8M/ICH8M-E) IDE Controller
                (None:None:None:None) scsi_generic, Unknown, None, SCSI Generic
Interface
                (4098:38275:4203:131) pci, fglrx_pci, VIDEO, Unknown (0x9583)
                (32902:10752:4203:160) pci, Unknown, OTHER, Mobile
PM965/GM965/GL960 Memory Controller Hub
                (32902:10303:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8
Family) PCI Express Port 1
                (32902:10311:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8
Family) PCI Express Port 5
                (1452:545:None:None) usb, usbhid, OTHER, USB HID Interface
                (1452:545:None:None) usb, usbhid, OTHER, USB HID Interface
                (None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
                (5348:17192:4203:136) pci, Unknown, NETWORK, Unknown (0x4328)
                (32902:10309:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8
Family) PCI Express Port 4
                (32902:10313:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8
Family) PCI Express Port 6
                (None:None:None:None) input, Unknown, None, Sleep Button (CM)
                (None:None:None:None) input, Unknown, None, Power Button (CM)
                (None:None:None:None) input, Unknown, None, Power Button (FF)
                (None:None:None:None) input, Unknown, None, Video Bus
                (None:None:None:None) input, Unknown, None, HID 05ac:1000
                (32902:10298:4203:160) pci, ehci_hcd, USB, 82801H (ICH8 Family)
USB2 EHCI Controller #2
                (None:None:None:None) platform, serial8250, None, Platform
Device (serial8250)
                (None:None:None:None) input, Unknown, KEYBOARD, Apple, Inc Apple
Keyboard
                (32902:10294:4203:160) pci, ehci_hcd, USB, 82801H (ICH8 Family)
USB2 EHCI Controller #1
                (32902:10292:0:0) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB
UHCI Contoller #4
                (32902:10293:4203:160) pci, uhci_hcd, USB, 82801H (ICH8 Family)
USB UHCI Controller #5
                (None:None:None:None) firewire, Unknown, None, No Description
                (32902:10288:4203:160) pci, uhci_hcd, USB, 82801H (ICH8 Family)
USB UHCI Controller #1
                (32902:10289:4203:160) pci, uhci_hcd, USB, 82801H (ICH8 Family)
USB UHCI Controller #2
                (1452:33346:None:None) usb, usbhid, OTHER, USB HID Interface
                (32902:10315:4203:160) pci, HDA Intel, OTHER, 82801H (ICH8
Family) HD Audio Controller
                (None:None:None:None) input, Unknown, None, HID 05ac:1000
                (4545:22785:4545:22784) pci, firewire_ohci, FIREWIRE, Unknown
(0x5901)
Comment 1 Martin Stransky 2007-11-26 17:22:19 EST
Please run system-config-soundcard (from terminal, as root) and check your sound
devices.
Comment 2 Karl Lattimer 2007-11-26 18:31:38 EST
Running system-config-soundcard didn't put much out, but I finally managed to
get it to work. Firstly it was correctly loading all the right modules just
nothing was making a sound, to fix it I had to add/amend this line in my
/etc/modprobe.conf 

options snd-hda-intel index=0 model=imac24

Is this something that can be accounted for on future installs? I mean could
fedora 9 include a quirk for it?
Comment 3 Will Woods 2007-12-03 15:36:38 EST
I believe this is something that needs to be fixed in upstream ALSA. Martin,
what are the odds on getting this in F9 (or in an F8 update)?
Comment 4 Martin Stransky 2007-12-04 05:22:33 EST
The latest released alsa version is 1.0.15 and it's included in fedora 8
recently. You may report that problem to upstream (www.alsa-project.org) and
hope that someone with that hardware will fix it.

We usually use the latest ALSA version (or you can easily update your drivers)
so  if it's once fixed by upstream it's in fedora soon.
Comment 5 Martin Stransky 2008-02-20 09:32:55 EST
Closing as wontfix. This has to by fixed in ALSA.

Note You need to log in before you can comment on or make changes to this bug.